Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04790 Graphics Minor Always Apr 29, 2012, 20:47 Oct 28, 2016, 01:04
Tester pri88 View Status Public Platform MAMEUI
Assigned To Resolution Bugs That Aren't Bugs OS Windows XP
Status [?] Resolved Driver tmnt.cpp
Version 0.145u7 Fixed in Version Build Normal
Summary 04790: tmnt and clones: vertical bar sometimes displayed on left side of screen
Description when playing tmnt and clones, there are many instances of an incorrect vertical bar being displayed on the left side of the screen (this can be seen during the attract mode and gameplay itself).

note: the game sprites (eg. the ninja turtles, the enemies..) will often appear inside the vertical bar area (see the picture below where i have circled in red).

additional: experimenting between ddraw/direct32/gdi/windowed/fullscreen modes did not affect the tests.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.143u8
Affected Sets / Systems tmnt and clones
Attached Files
jpg file icon turtles.jpg (92,850 bytes) Apr 29, 2012, 20:47 Uploaded by pri88
pri88
Relationships
related to 01532Resolved tmnt2: The black bars appear on the left and right side of the screen for gameplay 
has duplicate 04876Closed tmnt: Visible area problem 
has duplicate 05658Closed tmnt, tmnt2 and clones: the bug appears in all areas in the left corner and is automatic you dont need make anything for the bug appears 
Notes
19
User avatar
No.08478
Tafoid
Administrator
Apr 29, 2012, 21:15
If I had to guess it's simply a visible area issues, much like I described here:
http://mametesters.org/view.php?id=1532

I tried looking for a pcb jamma recorded game showing the bars and none of the monitors seems to show that much of the screen.
User avatar
No.08479
pri88
Viewer
Apr 29, 2012, 23:30
edited on: Apr 29, 2012, 23:32
some additional info: i have noticed that when you start a game (or alternatively watch the attract game demo), the vertical bar issue is present at the start of each level, but when you walk forward (to the right) and the screen scrolls along, the vertical bar then disappears off of the left of the screen, and everything then looks/behaves normally again.

User avatar
No.08497
Haze
Senior Tester
May 5, 2012, 02:24
IMHO it will be like the very similar neogeo issues in that they just assume you'll stretch that area off the screen.

Konami offsets are funky sometimes, but not THAT funky.
User avatar
No.08504
Tafoid
Administrator
May 6, 2012, 14:16
I'll set this up as a BTANB until we see actual PCB recording showing the portion of the screen in question WITHOUT bars. Resolving.
User avatar
No.08679
M.A.S.H.
Senior Tester
May 28, 2012, 12:26
I found the same bug, while quick testing 1989 games. And yes, i have created
a duplicate bug (4876) for it...incredibly embarrassing. Sorry Tafoid!

But why waiting for a PCB recording?
This videos from YouTube are good enough and they are from real arcade cabinets:






They all shows a screen without the ugly bars. I found also a video from the 2 Player version
showing the same Konami offset setting.

User avatar
No.08680
Tafoid
Administrator
May 28, 2012, 12:48
The trick is comparing the videos to edges of the MAME screen output and see that none of them really show much beyond the white score panels for each player. In particular, if you look at the 1st player white outline of the score, you'll see there is little area, no area shown, or in some cases the left side of the white line cannot be seen and is off screen. None of the videos on quick cursory glance tell me that they even show enough of the screen to make a guess.

On top of all that, we have confirmation of the change when it was made that the line does exists in PCB output on a screen that has NOT been adjusted to the game itself. It's hard to comprehend sometimes that such a thing would happen, but it does.

Again, I assert, it may be an observed bug, but it is not an emulation issue.
User avatar
No.08681
M.A.S.H.
Senior Tester
May 28, 2012, 13:49
Thanks for the info, Tafoid.
User avatar
No.08686
haynor666
Tester
May 28, 2012, 15:44
Other games from this driver (if not all Konami games from that era) should have 320x224?
User avatar
No.13243
haynor666
Tester
Oct 8, 2016, 20:01
edited on: Oct 8, 2016, 20:02
Looks like "someone" reverted partially code to 312x224. Why? 320x224 was to be verified just like with Super Contra or Crime Fighters.

User avatar
No.13244
Haze
Senior Tester
Oct 9, 2016, 11:00
I don't know, I raised a question about it at the time and it still got applied.

320x224 is correct.
User avatar
No.13245
Haze
Senior Tester
Oct 9, 2016, 11:01
https://github.com/mamedev/mame/commit/13d34579cef1189fafa7d95cfb5883d59aaabf14 is where it happened.
User avatar
No.13247
haynor666
Tester
Oct 9, 2016, 19:03
edited on: Oct 9, 2016, 19:09
I know Haze, that's why I included quotation marks with someone. Just after I realized change I started to browse tmnt.cpp history and I've found the same commit. I just did not want to post straight who did this.
Really strange especially he did some modifications based on my finding/pcb evidences to extend visible areas in some Konami games. That trash, strange video behaviour is happening - http://mametesters.org/view.php?id=5973 http://mametesters.org/view.php?id=5594 http://mametesters.org/view.php?id=5593 http://mametesters.org/view.php?id=5988

User avatar
No.13248
Haze
Senior Tester
Oct 9, 2016, 19:54
I'll ask him to comment here.
User avatar
No.13249
system11
Senior Tester
Oct 9, 2016, 20:49
edited on: Oct 9, 2016, 20:50
P-Man had a TMNT PCB to hand and took photos of the grid test for me after people brought it to my attention that the bumper of an unused car sprite was visible on the left all the time during the road section in stage 3 (or 4?). MAME was drawing more of the grid on the left by 8 pixels than the PCB was. The grid test photos (one left, one right) were taken with the controls adjusted to display as much as possible at each side.

Screen fully to the left (right extent exposed):
http://www.andysarcade.net/pix/DSC_8727.JPG

Screen fully to the right (left extent exposed):
http://www.andysarcade.net/pix/DSC_8726(1).JPG

Until the commit, the left side of the grid in MAME had 8 pixels of horizontal lines showing to the left of the edge, which is where all the garbage was.

User avatar
No.13250
haynor666
Tester
Oct 9, 2016, 21:41
edited on: Oct 9, 2016, 22:03
Would be better to see highscore screen and compare it against 320x224 area. There is also slight change that this might differ between revisions. This video shows trash -


Third video posted here also.

On the other had this one -
(if it's really from PCB, picture is really too clean). does not show this. This one shows even less -



And shows up with flip DIP enabled? With Super Contra I have slightly different results.

User avatar
No.13251
system11
Senior Tester
Oct 9, 2016, 21:50
edited on: Oct 9, 2016, 22:05
Actually I've just found a video which makes me think you're right. I've been told by several people that the bug in stage 3 with the car doesn't exist on the PCB, however:

?t=652
(not sure how to fix a URL in this so skip to time position 652)

After the car goes past, you can JUST see the edge of the car there. This isn't capturing as much as MAME was drawing but it is evidence of visible area to the left.

I'm going to hunt for some more owners, I think the best we have to go on are grid screens. Perhaps it's similar to Crime Fighters where the offset is really strange, so it should be 320 but offset by a couple of pixels.

User avatar
No.13252
haynor666
Tester
Oct 9, 2016, 22:06
Flip DIP should be tested and visible area observed again.
User avatar
No.13264
StHiryu
Tester
Oct 11, 2016, 18:35
I've recently played the clone tmht2p and this bug doesn't occur. Does this problem affect to the clones too?
User avatar
No.13294
system11
Senior Tester
Oct 28, 2016, 01:04
Ok results from a US 4p PCB:
The 8 pixels on the left are being drawn in the overscan area, some monitors are correctly not drawing them, others do. It's clear the intent is for the player not to see them, but the fact remains they're there, on bad monitors. This as an aside is probably the reason for the infamous and much complained about 'shadow' problem on real hardware - the shadows match up with whatever is being drawn into the overscan area, stretched as a faint shadow across the whole screen. Lots of Konami games have this problem and some Sega, eg Alien Storm. I've put the 8 pixels back in a PR, but I don't think they should be displayed really - MAME will be emulating an unintended visual fault with perfect clarity. It was a complaint about things which shouldn't be visible being there that led me to investigate this to begin with.